Bug 625796 - Gourmet doesn't start without a database
Gourmet doesn't start without a database
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gourmet (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 09:03 EDT by Alexandre Silva Lopes
Modified: 2012-08-16 14:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error log when starting program (2.70 KB, text/plain)
2010-08-20 09:03 EDT, Alexandre Silva Lopes
no flags Details
List of installed packages (21.70 KB, text/plain)
2011-02-18 04:37 EST, Alexandre Silva Lopes
no flags Details
Error log when starting program in F14 (2.65 KB, text/plain)
2011-02-18 10:32 EST, Alexandre Silva Lopes
no flags Details

  None (edit)
Description Alexandre Silva Lopes 2010-08-20 09:03:42 EDT
Created attachment 439937 [details]
Error log when starting program

Description of problem: can't start Gourmet recipe manger without a database


Version-Release number of selected component (if applicable): 0.15.4-4.fc13


How reproducible: always


Steps to Reproduce:
1. yum install gourmet
2. rm -rf ~/.gourmet/
3. gourmet
  
Actual results: program doesn't start and gives attached backtrace


Expected results: program starts


Additional info:
Comment 1 Jef Spaleta 2010-08-22 00:49:10 EDT
Hmm.. this is odd.  I just tried to reproduce this on my system and I can not.  Removing my .gourmet directory and gourmet starts for me without any problems.

Can you tell me what version of the package python-sqlalchemy you have installed.

-jef
Comment 2 Alexandre Silva Lopes 2010-08-22 13:18:36 EDT
I have an up-to-date Fedora 13 system, so this means I have python-sqlalchemy 0.5.8-3.fc13.

I just wanted to try gourmet - I think it can be very useful for me! - and found I couldn't start it...

Alexandre
Comment 3 Jef Spaleta 2010-08-22 14:06:38 EDT
Hmm, very odd.

I'd love to help get this sorted out. It's very unexpected.  If I could reproduce it on my systems it would make it easier for me to track down.


Is this a 32bit or 64bit Fedora install?

-jef
Comment 4 Alexandre Silva Lopes 2010-08-22 17:29:14 EDT
This is a 64bit install. And I have exactly the same in my laptop, which is also a Fedora 13 64bit.

Alexandre
Comment 5 Jef Spaleta 2010-08-23 14:18:11 EDT
Very odd. I just got someone in #fedora irc channel to try this as well and it works for them without error.

The fact that your backtrace is failing in calls on functions from python-sqlachemy may mean the problem is ultimately in that package. I'm going to try to talk with someone who knows more about that package and see if they can give me some pointers.

-jef
Comment 6 Alexandre Silva Lopes 2010-08-23 14:47:17 EDT
Thanks for your interest. If I can do something to help you, just ask!

Alexandre
Comment 7 Jeff Raber 2011-02-12 14:16:45 EST
I just tried this with a fully updated F13 (x86_64) VM and could not reproduce this error.

Alexandre Silva Lopes;
Are you still able to reproduce this crash?  If so, can you please try running gourmet from a shell to see if any additional messages are printed to the terminal?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Alexandre Silva Lopes 2011-02-18 04:37:32 EST
Created attachment 479472 [details]
List of installed packages
Comment 9 Alexandre Silva Lopes 2011-02-18 04:40:36 EST
Sorry for the late answer.

Yes, I still have this crash, now in a fully updated F14 (x86_64 also). I attached a list of the packages I have installed. May be you can try a VM with these and track a dependency that I've missed?
Comment 10 Jeff Raber 2011-02-18 08:06:04 EST
Is the backtrace generated in F14 the same as the one attached to this bug?  Were you able to run gourmet from a terminal to check for any additional output?  If there is any additional output to the terminal, please post it here.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Alexandre Silva Lopes 2011-02-18 10:32:52 EST
Created attachment 479543 [details]
Error log when starting program in F14
Comment 12 Alexandre Silva Lopes 2011-02-18 10:35:25 EST
The backtrace in F14 looks essentially similar to the one in F13. The final error message is definitely the same.
Comment 13 Bug Zapper 2011-06-01 07:02:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Fedora End Of Life 2012-08-16 14:35:05 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.